/* La Musardière - style.css
   © Eric Reboux Software 27/04/2026 */

@import "normalize.css";

@font-face
{
	font-family: 'Fcaslon Twelve';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	size-adjust: 120%;
	src: url(../fonts/fcaslon_twelve.woff2) format('woff2');
}

@font-face
{
	font-family: 'Fredericka the Great';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	src: url(../fonts/fredericka_the_great.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

@font-face {
	font-family: 'Marcellus';
	font-style: normal;
	font-weight: 400;
	font-display: swap;
	size-adjust: 115%;
	src: url(../fonts/marcellus.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

*
{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	line-height: 24px;

	--background_color: #fffef4cf;
	--link_color: #a54840;
	--link_hover_color: #6e302a;
	--logo_font: 'Fredericka the Great';
	--title_font: 'Fcaslon Twelve';
	--site_font: 'Marcellus';
}

html
{
	height: 100%;
}

h1, h2, h3, h4, h5, h6
{
	margin-bottom: 8px;
	font-family: var(--title_font);
	line-height: initial;
}

h1
{
	margin-bottom: 16px;
	font-size: 28px;
	font-weight: 400;
	text-align: center;
}

h2
{
	font-size: 24px;
}

h3
{
	font-size: 20px;
}

h4
{
	font-size: 16px;
}

p
{
	margin-bottom: 8px;
	line-height: 24px;
}

a
{
	color: var(--link_color);
	font-weight: 600;
	text-decoration: none;
	transition: 0.3s;
}

a:hover, a:active
{
	color: var(--link_hover_color);
	text-decoration: none;
	transition: 0.1s;
}

hr
{
	line-height: 1em;
	position: relative;
	outline: 0;
	border: 0;
	color: #000c;
	text-align: center;
	height: 1.5em;
	opacity: .5;
}

hr:before
{
	content: '';
	background: linear-gradient(to right, transparent, #000b, transparent);
	position: absolute;
	left: 0;
	top: 50%;
	width: 100%;
	height: 1px;
}

hr:after
{
	content: attr(data-content);
	position: relative;
	display: inline-block;
	color: black;
	padding: 0 .5em;
	line-height: 1.5em;
	color: #000c;
	background-color: #fcfcfa;
}

ul
{
	margin-bottom: 8px;
	padding-left: 22px;
	list-style-position: outside;
}

ul li
{
	padding-left: 0px;
	padding-bottom: 6px;
	text-indent: -6px;
	line-height: 24px;
}

form input[type="text"], form input[type="email"], form input[type="url"], form textarea
{
	margin: 0 0 4px 0;
	padding: 7px 8px;
	resize: none;
	background: rgba(255, 255, 255, 0.6);
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 4px;
	color: black;
	font-family: inherit;
	font-size: 16px;
	font-weight: inherit;
	line-height: 24px;
	outline: none;
	box-shadow: inset 0 -5px 45px rgba(0, 0, 0, 0.02), 0 1px 1px rgba(255, 255, 255, 0.4);
	transition: border .2s ease-in-out, background .2s ease-in-out;
	-webkit-background-clip: padding-box;
}

form input[type="text"]:focus, form input[type="email"]:focus, form input[type="url"]:focus, form textarea:focus
{
	background: rgba(255, 255, 255, 0.8);
	border: 1px solid #c80405;
	-webkit-background-clip: padding-box;
}

form input[type="button"], form input[type="submit"], form input[type="reset"]
{
	cursor: pointer;
	margin: 0 0 0 8px;
	padding: 5px 8px;
	outline: 0;
	border: 1px solid var(--link_color);
	border-radius: 4px;
	background: #fff4;
	font-family: inherit;
	font-size: 18px;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	color: var(--link_color);
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
	transition: 0.1s all;
}

form input[type="button"]:focus, form input[type="submit"]:focus, form input[type="reset"]:focus
{
	border: 1px solid var(--link_hover_color);
	background: #fff2;
	color: var(--link_hover_color);
	transition: 0.2s all;
}

input[type="button"]:hover, input[type="submit"]:hover, input[type="reset"]:hover
{
	border: 1px solid var(--link_hover_color);
	background: #fff2;
	color: var(--link_hover_color);
	transition: 0.2s all;
}

body
{
	display: flex;
	flex-direction: column;
	align-items: center;
	margin: 0;
	padding: 0;
	min-height: 100%;
	background-image: url('../img/fond.webp');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	background-attachment: fixed;
	font-size: 16px;
	font-family: var(--site_font);
}

body .page
{
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	max-width: 1400px;
	margin: 30px 10vw;
	background: radial-gradient(#fffef4e0, transparent 180%);
	backdrop-filter: blur(8px);
	box-shadow: 0 4px 20px #0004;
}

body .page header .title_logo
{
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 30px 30px 8px 30px;
}

body .page header .title_logo .title
{
	display: flex;
	flex-direction: column;
	gap: 8px;
	min-width: 250px;
	color: black;
}

body .page header .title_logo .title .text
{
	font-family: var(--logo_font);
	font-size: 36px;
	font-variant: small-caps;
	font-weight: 400;
	text-transform: capitalize;
}

body .page header .title_logo .title .slogan
{
	font-family: 'Fcaslon Twelve';
	font-size: 15px;
	font-variant: small-caps;
	font-weight: 400;
	text-align: center;
	text-transform: capitalize;
}

body .page header .title_logo .logo img
{
	width: 200px;
	max-width: 200px;
}

body .page header #title_bar .mobile_menu
{
	display: none;
	position: relative;
	margin: 8px auto;
	width: fit-content;
}

body .page header #title_bar .mobile_menu .menu_icon
{
	display: flex;
	align-items: center;
	gap: 8px;
	padding: 8px;
	border: 1px solid var(--link_color);
	border-radius: 8px;
	font-size: 18px;
	color: var(--link_color);
	cursor: pointer;
}

body .page header #title_bar .mobile_menu ul
{
	position: absolute;
	top: 64px;
	left: -8px;
	padding: 0;
	margin: 0;
	list-style: none;
	white-space: nowrap;
	border: 1px solid #0003;
	background: #fffd;
	backdrop-filter: blur(4px);
	box-shadow: 0 4px 16px #0003;
	border-radius: 8px;
	opacity: 0;
	visibility: hidden;
	transition: opacity 0.2s ease-out, visibility 0.2s ease-out;
	z-index: 10;
}

body .page header #title_bar .mobile_menu ul.open
{
	opacity: 1;
	visibility: visible;
	transition: opacity 0.1s ease, visibility 0.1s ease;
}

body .page header #title_bar .mobile_menu ul li
{
	padding: 0;
	text-indent: 0;
	color: #fff;
	transition: background 0.2s ease-out;
}

body .page header #title_bar .mobile_menu ul li:first-of-type
{
	border-radius: 8px 8px 0 0;
}

body .page header #title_bar .mobile_menu ul li:last-of-type
{
	border-radius: 0 0 8px 8px;
}

body .page header #title_bar .mobile_menu ul li:hover
{
	background-color: var(--link_color);
	transition: background 0.1s ease;
}

body .page header #title_bar .mobile_menu ul li a
{
	display: inline-block;
	padding: 16px;
	color: #000;
	font-size: 20px;
}

body .page header #title_bar .mobile_menu ul li:hover a
{
	color: white;
}

body .page header nav .menu
{
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 20px;
	margin: 0;
	padding: 0;
	list-style-type: none;
}

body .page header nav .menu li
{
	padding: 0;
	font-size: 20px;
	text-indent: 0;
}

body .page header nav .menu li a.selected
{
	color: var(--link_hover_color);
	cursor: default;
	pointer-events: none;
}

body .page main
{
	flex-grow: 1;
	padding: 20px 30px;
}

body .page main .back_accueil
{
	display: flex;
	align-items: flex-end;
	margin: 0 -30px 30px -30px;
	background: url(/img/accueil2.webp);
	background-size: 100% auto;
	background-position-y: 12%;
	background-repeat: no-repeat;
	min-height: clamp(340px,26vw,500px);
	box-shadow: inset 0 1px 12px #0008;
	animation: kenBurns1 60s ease-in-out infinite alternate;
}

@keyframes kenBurns1
{
	0% {
		background-size: 100% auto;
		background-position: 30% 12%;
	}
	  100% {
		background-size: 140% auto;
		background-position: 70% 50%;
	}
}

body .page main .back_accueil h1
{
	width: 100%;
	margin: 0;
	padding: 8px;
	color: white;
	font-size: clamp(24px,2.3vw,42px);
	background: #0006;
}

body .page main .back_prestations
{
	display: flex;
	align-items: flex-end;
	margin: 0 -30px 30px -30px;
	background: url(/img/prestations.webp);
	background-size: 100% auto;
	background-position-y: 12%;
	background-repeat: no-repeat;
	min-height: clamp(200px,12vw,300px);
	box-shadow: inset 0 1px 12px #0008;
	animation: kenBurns2 30s ease-in-out infinite alternate;
}

@keyframes kenBurns2
{
	0% {
		background-size: 100% auto;
		background-position: 30% 12%;
	}
  	100% {
		background-size: 140% auto;
		background-position: 70% 60%;
	}
}

body .page main .back_prestations h1
{
	margin: 8px 24px;
	color: white;
	font-size: clamp(32px,8vw,72px);
	text-shadow: 0 1px 4px #000b;
}

body .page main .back_a_propos
{
	display: flex;
	align-items: flex-end;
	margin: 0 -30px 30px -30px;
	background-color: #f5f4ed;
	background-image: url(/img/souris.png);
	background-size: 80% auto;
	background-position-y: 12%;
	background-repeat: no-repeat;
	min-height: clamp(200px,12vw,300px);
	box-shadow: inset 0 1px 12px #0008;
	animation: kenBurns3 30s ease-in-out infinite alternate;
}

@keyframes kenBurns3
{
	0% {
		background-size: 40% auto;
		background-position: 90% 0%;
	}
	  100% {
		background-size: 100% auto;
		background-position: 100% 70%;
	}
}

body .page main .back_a_propos h1
{
	margin: 8px 24px;
	color: black;
	font-size: clamp(32px,3.4vw,64px);
	text-shadow: 0 1px 4px #0004;
}

body .page .button_prestations
{
	display: block;
	width: fit-content;
	margin: 0 auto;
	padding: 5px 8px;
	background: #fff4;
	font-size: 18px;
	border: 1px solid var(--link_color);
	border-radius: 4px;
	transition: 0.2s;
}

body .page .button_prestations:hover
{
	background: #fff2;
	border: 1px solid var(--link_hover_color);
	transition: 0.1s;
}

body .page .prestations
{
	display: flex;
	gap: 20px;
}

body .page .prestations .presta_parent
{
	display: flex;
	flex-direction: column;
	background: radial-gradient(#fffef460, transparent 180%);
	border: 1px solid #00000030;
	border-radius: 8px;
}

body .page .prestations .presta_parent.x2
{
	width: 66%;
}

body .page .prestations .presta_parent.x1
{
	width: 33%;
}

body .page .prestations .presta_parent h2
{
	margin: 24px 0 0 0;
	text-align: center;
}

body .page .prestations  .presta_parent .prestas
{
	display: flex;
}

body .page .prestations  .presta_parent .prestas .separator
{
	width: 1px;
	height: inherit;
	background: linear-gradient(transparent, #0004, transparent);
}

body .page .prestations .presta_parent .presta_children
{
	display: flex;
	flex-direction: column;
	flex-grow: 1;
	width: 50%;
	padding: 20px;
}

body .page .prestations .presta_parent .presta_children h3
{
	text-align: center;
}

body .page .prestations .presta_parent .presta_children .presta
{

}

body .page .prestations .presta_parent .presta_children .presta *:last-child
{
	margin: 0;
}

body .page .prestations .presta_parent .presta_children .presta .description
{
	text-align: justify;
}

body .page .prestations .presta_parent .presta_children .presta .list
{
	margin: 0;
	padding: 0;
	list-style-type: none;
}

body .page .prestations .presta_parent .presta_children .presta .list li
{
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 4px 0;
	text-align: center;
	text-indent: 0;
}

body .page footer .content
{
	display: grid;
	grid-template-columns: 1fr auto 1fr;
	align-items: center;
	gap: 2rem;
	padding: 20px 30px 30px 30px;
}

body .page footer .copyright
{
	display: flex;
	flex-direction: column;
	gap: 8px;
	margin: 0;
}

body .page footer .copyright .footer_menu
{
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
	margin: 0;
	padding: 0;
	list-style: none;
}

body .page footer .copyright .footer_menu li
{
	margin: 0;
	padding: 0;
	text-indent: 0;
}

body .page footer address
{
	font-style: normal;
	text-align: center;
	line-height: 24px;
}

body .page footer #ers
{
	margin-left: auto;
}

body .page footer #ers a
{
	display: flex;
	align-items: center;
	gap: 4px;
	font-size: 13px;
}

body .page footer #ers a img
{
	width: 60px;
	max-width: 60px;
}

@media (max-width: 1100px)
{
	body .page .prestations
	{
		flex-direction: column;
	}

	body .page .prestations .presta_parent
	{
		width: 100%!important;
	}
}

@media (max-width: 850px)
{
	body .page footer
	{
		flex-direction: column;
		padding-bottom: 0;
	}

	body .page footer .content
	{
		grid-template-columns: 1fr;
	}

	body .page footer .content > *
	{
		justify-self: center;
	}

	body .page footer .copyright
	{
		align-items: center;
	}

	body .page footer #ers
	{
		margin-left: initial;
	}
}

@media (max-width: 600px)
{
	body .page .prestations .presta_parent .prestas
	{
		flex-direction: column;
	}

	body .page .prestations .presta_parent .prestas .separator
	{
		width: inherit;
		height: 1px;
		margin: 20px 0;
		background: linear-gradient(to right, transparent, #0004, transparent);
	}

	body .page .prestations .presta_parent .presta_children
	{
		width: 100%;
	}

	body .page .prestations .presta_parent .presta_children .presta hr:before
	{
		background: transparent;
	}
}

@media (max-width: 512px)
{
	body .page
	{
		margin: 20px;
	}

	body .page header .title_logo
	{
		flex-direction: column;
		align-items: center;
		gap: 20px;
		padding: 30px 20px 10px 20px;
	}

	body .page header .title_logo .logo img
	{
		width: 150px;
		max-width: 150px;
	}

	body .page header #title_bar .mobile_menu
	{
		display: flex;
	}

	body .page header #title_bar .desktop_menu
	{
		display: none;
	}

	body .page main
	{
		padding: 20px;
	}

	body .page main .back_title
	{
		margin: 0 -20px 20px -20px!important;
	}
}
